# std::optional<T>::operator bool, std::optional<T>::has_value

From cppreference.com
< cpp‎ | utility‎ | optional

constexpr explicit operator bool() const noexcept; |  | (since C++17)
constexpr bool has_value() const noexcept; |  | (since C++17)

Checks whether *this contains a value.

### Parameters

(none)

### Return value

true if *this contains a value, false if *this does not contain a value.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/optional/operator_bool&oldid=110740"